StreamlinedInstallationChooserHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: StreamlinedInstallationChooserHandle

# Interface StreamlinedInstallationChooserHandle

All Superinterfaces:
  `FormComponentHandle`

public interface StreamlinedInstallationChooserHandle extends FormComponentHandle
Handle for the "Streamlined installation chooser" form component. The widget is a two-button `JRadioButton` chooser between a streamlined installation and a customized one.

Reach this handle via `ScreenHandle.streamlinedInstallationChooser()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StreamlinedInstallationChooserHandle`
  `assertDisabled()`
  `StreamlinedInstallationChooserHandle`
  `assertEnabled()`
  `StreamlinedInstallationChooserHandle`
  `assertInvisible()`
  `StreamlinedInstallationChooserHandle`
  `assertVisible()`
  `boolean`
  `isStreamlined()`
  Whether the streamlined or update radio button is currently selected.
  `StreamlinedInstallationChooserHandle`
  `selectCustomized()`
  Select the customized installation radio button.
  `StreamlinedInstallationChooserHandle`
  `selectStreamlined()`
  Select the streamlined installation radio button.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### selectStreamlined

    @NotNull StreamlinedInstallationChooserHandle selectStreamlined()
    Select the streamlined installation radio button. In update-only mode this is the update-existing-installation button.

  - ### selectCustomized

    @NotNull StreamlinedInstallationChooserHandle selectCustomized()
    Select the customized installation radio button. In update-only mode this is the new-installation button.

  - ### isStreamlined

    boolean isStreamlined()
    Whether the streamlined or update radio button is currently selected.

  - ### assertEnabled

    @NotNull StreamlinedInstallationChooserHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull StreamlinedInstallationChooserHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull StreamlinedInstallationChooserHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull StreamlinedInstallationChooserHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`